org.apache.ignite.plugin.security

## Class SecurityBasicPermissionSet

- java.lang.Object
- - org.apache.ignite.plugin.security.SecurityBasicPermissionSet

- All Implemented Interfaces:
    Serializable, SecurityPermissionSet

      public class SecurityBasicPermissionSet
      extends Object
      implements SecurityPermissionSet

  Simple implementation of `SecurityPermissionSet` interface. Provides convenient way to specify permission set in the XML configuration.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityBasicPermissionSet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Collection<SecurityPermission>>` | `cachePermissions()` Map of cache names to cache permissions.
    `boolean` | `defaultAllowAll()` Flag indicating whether to allow or deny cache and task operations if they were not explicitly specified.
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `Map<String,Collection<SecurityPermission>>` | `servicePermissions()` Map of service names to service permissions.
    `void` | `setCachePermissions(Map<String,Collection<SecurityPermission>> cachePermissions)` Setter for set cache permission map.
    `void` | `setDefaultAllowAll(boolean dfltAllowAll)` Setter for set default allow all.
    `void` | `setServicePermissions(Map<String,Collection<SecurityPermission>> servicePermissions)` Setter for set service permission map.
    `void` | `setSystemPermissions(Collection<SecurityPermission> systemPermissions)` Setter for set collection system permission.
    `void` | `setTaskPermissions(Map<String,Collection<SecurityPermission>> taskPermissions)` Setter for set task permission map.
    `@Nullable Collection<SecurityPermission>` | `systemPermissions()` Collection of system-wide permissions (events enable/disable, Visor task execution).
    `Map<String,Collection<SecurityPermission>>` | `taskPermissions()` Map of task names to task permissions.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityBasicPermissionSet

          public SecurityBasicPermissionSet()

  - ### Method Detail

    - #### setCachePermissions

          public void setCachePermissions(Map<String,Collection<SecurityPermission>> cachePermissions)

      Setter for set cache permission map.
      Parameters:
        `cachePermissions` - Cache permissions.

    - #### setTaskPermissions

          public void setTaskPermissions(Map<String,Collection<SecurityPermission>> taskPermissions)

      Setter for set task permission map.
      Parameters:
        `taskPermissions` - Task permissions.

    - #### setServicePermissions

          public void setServicePermissions(Map<String,Collection<SecurityPermission>> servicePermissions)

      Setter for set service permission map.
      Parameters:
        `servicePermissions` - Service permissions.

    - #### setSystemPermissions

          public void setSystemPermissions(Collection<SecurityPermission> systemPermissions)

      Setter for set collection system permission.
      Parameters:
        `systemPermissions` - System permissions.

    - #### setDefaultAllowAll

          public void setDefaultAllowAll(boolean dfltAllowAll)

      Setter for set default allow all.
      Parameters:
        `dfltAllowAll` - Default allow all.

    - #### cachePermissions

          public Map<String,Collection<SecurityPermission>> cachePermissions()

      Map of cache names to cache permissions. Wildcards are allowed at the end of cache names.
      Specified by:
        `cachePermissions` in interface `SecurityPermissionSet`
      Returns:
        Map of cache names to cache permissions.

    - #### taskPermissions

          public Map<String,Collection<SecurityPermission>> taskPermissions()

      Map of task names to task permissions. Wildcards are allowed at the end of task names.
      Specified by:
        `taskPermissions` in interface `SecurityPermissionSet`
      Returns:
        Map of task names to task permissions.

    - #### servicePermissions

          public Map<String,Collection<SecurityPermission>> servicePermissions()

      Map of service names to service permissions. Wildcards are allowed at the end of service names.
      Specified by:
        `servicePermissions` in interface `SecurityPermissionSet`
      Returns:
        Map of service names to service permissions.

    - #### systemPermissions

          @Nullable
          public @Nullable Collection<SecurityPermission> systemPermissions()

      Collection of system-wide permissions (events enable/disable, Visor task execution).
      Specified by:
        `systemPermissions` in interface `SecurityPermissionSet`
      Returns:
        Collection of system-wide permissions.

    - #### defaultAllowAll

          public boolean defaultAllowAll()

      Flag indicating whether to allow or deny cache and task operations if they were not explicitly specified.
      Specified by:
        `defaultAllowAll` in interface `SecurityPermissionSet`
      Returns:
        `True` to allow all cache task operations if they were not explicitly specified, `false` otherwise.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021